package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ DcItemDataModel = (*customDcItemDataModel)(nil)

type (
	// DcItemDataModel is an interface to be customized, add more methods here,
	// and implement the added methods in customDcItemDataModel.
	DcItemDataModel interface {
		dcItemDataModel
	}

	customDcItemDataModel struct {
		*defaultDcItemDataModel
	}
)

// NewDcItemDataModel returns a model for the database table.
func NewDcItemDataModel(conn sqlx.SqlConn) DcItemDataModel {
	return &customDcItemDataModel{
		defaultDcItemDataModel: newDcItemDataModel(conn),
	}
}
